package com.bytesw.bytebot.model.converters;

import javax.persistence.AttributeConverter;
import javax.persistence.Converter;

/**
 * @author Sebastian Chicoma Sandmann
 * @version 09-sep-2020
 *
 * Copyright (c) 2020 Byte, S.A. Todos los derechos reservados.
 *
 * Este software constituye información confidencial y propietaria de Byte, S.A.
 * ("Información Confidencial"). Usted no debe develar dicha Información
 * Confidencial y debe usarla de acuerdo con los términos de aceptación de
 * licencia de uso que firmó con Byte.
 */
@Converter
public class BooleanToStringConverter implements AttributeConverter<Boolean, String> {
    public BooleanToStringConverter() {
    }

    public String convertToDatabaseColumn(Boolean value) {
        return value != null && value ? "Y" : "N";
    }

    public Boolean convertToEntityAttribute(String value) {
        return "Y".equals(value);
    }
}
